### File

`src/app/shared/components/generic.component.ts`

### Metadata

selector | `app-generic`

### Index

###### Properties

- title

###### Methods

- getData

### Methods

getData
`getData(foo: Foo<object>)`
Defined in src/app/shared/components/generic.component.ts:13

Parameters :

Name | Type | Optional
foo | `Foo<object>` | No

Returns : `void`

### Properties

title
Type : `string`
Default value : `'generic-component'`
Defined in src/app/shared/components/generic.component.ts:11

    import { Component } from '@angular/core';

    interface Foo<T> {
        data: T;
    }

    @Component({
        selector: 'app-generic',
    })
    export class GenericComponent {
        title = 'generic-component';

        getData(foo: Foo<object>) {}
    }

Legend
Html element
Component
Html element with directive

# results matching ""

# No results matching ""